<?php
// +-----------------------------------------------------------------------+
// | Mod Name : Download_multi                                             |
// | Mod Version : 0.8-beta9                                               |
// | Mod Orignal author: Tboris                                            |
// | Mod Second author : Cestlodovic                                       |
// | Mod Version author : FlipFlip <flipflip@free.fr>                      |
// | Mod description :                                                     |
// | Ce module est base sur le module existant pour le telechargement,     |
// | cette version permet le telechargement sur plusieurs pages.           |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

//--------------------------------------------------------------------- include
define('PHPWG_ROOT_PATH','../../../');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

//----------------------------------------------------- template initialization
//
// Start output of page
//
$title = ' Download Multi : Panier';
$page['body_id'] = 'DownloadMulti';
$page['section'] = '';
include(PHPWG_ROOT_PATH.'include/page_header.php');

// Rcupration de la class du plugin
$DownloadMulti = get_plugin_data('download_multi');

$template->set_filenames(
  array('DownloadMulti_preview' => $DownloadMulti->plugin_path.'/template/DmPreview.tpl')
);

@$action = $_POST['action'];
@$url = get_root_url().$_POST['DmCategory'];

$template->assign_block_vars(
      'preview',
        array(
          'U_HOME' => make_index_url(),
          'U_HELP' => get_root_url().'popuphelp.php?page=download_multi',
        )
      );
      
switch($action) {
  case 'del':
    // Supprime une image du panier
    $id_image = $_POST['id_image'];
    $type = $_POST['type'];
    $DownloadMulti->DmPreviewDel($id_image, $type);
    $DownloadMulti->DmPreviewList();
  break;
  
  default:
    // Affiche la liste des images
    // dans le panier de l'utilisateur
    $DownloadMulti->DmPreviewList();
  break;
}

// include menubar
include(PHPWG_ROOT_PATH.'include/menubar.inc.php');

$template->parse('DownloadMulti_preview');
include(PHPWG_ROOT_PATH.'include/page_tail.php');
?> 
